scala.swing

# Menu

#### class Menu extends MenuItem with Wrapper

A menu. Contains menu items. Being a menu item itself, menus can be nested.

Self Type
  Menu
Source
  Menu.scala
See also

  javax.swing.JMenu

Linear Supertypes
Wrapper, Wrapper, SequentialContainer, Container, MenuItem, AbstractButton, Wrapper, Trigger, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Menu
2. Wrapper
3. Wrapper
4. SequentialContainer
5. Container
6. MenuItem
7. AbstractButton
8. Wrapper
9. Trigger
10. Component
11. UIElement
12. LazyPublisher
13. Publisher
14. Reactor
15. Proxy
16. AnyRef
17. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Menu(title0: String)

### Type Members

1. #### class Content extends BufferWrapper[Component]

   Attributes
     protected
   Definition Classes
     Wrapper

2. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Menu to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Menu, B)

   Implicit information
     This member is added by an implicit conversion from Menu to ArrowAssoc[Menu] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### val _contents: Content

   Attributes
     protected
   Definition Classes
     Wrapper

9. #### def action: Action

   Definition Classes
     Wrapper → Trigger

10. #### def action_=(a: Action): Unit

    Definition Classes
      Wrapper → Trigger

11. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

12. #### def background: Color

    Definition Classes
      UIElement

13. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

14. #### def border: Border

    Definition Classes
      Component

15. #### def borderPainted: Boolean

    Definition Classes
      AbstractButton

16. #### def borderPainted_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

17. #### def border_=(b: Border): Unit

    Definition Classes
      Component

18. #### def bounds: java.awt.Rectangle

    Definition Classes
      UIElement

19. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

20. #### def contentAreaFilled: Boolean

    Definition Classes
      AbstractButton

21. #### def contentAreaFilled_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

22. #### val contents: Buffer[Component]

    The child components of this container.

    The child components of this container.

    Definition Classes
      Wrapper → Wrapper → SequentialContainer → Container

23. #### def cursor: Cursor

    Definition Classes
      UIElement

24. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

25. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

26. #### def disabledIcon: Icon

    Definition Classes
      AbstractButton

27. #### def disabledIcon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

28. #### def disabledSelectedIcon: Icon

    Definition Classes
      AbstractButton

29. #### def disabledSelectedIcon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

30. #### def displayable: Boolean

    Definition Classes
      UIElement

31. #### def displayedMnemonicIndex: Int

    Definition Classes
      AbstractButton

32. #### def displayedMnemonicIndex_=(n: Int): Unit

    Definition Classes
      AbstractButton

33. #### def doClick(times: Int): Unit

    Definition Classes
      AbstractButton

34. #### def doClick(): Unit

    Definition Classes
      AbstractButton

35. #### def enabled: Boolean

    Definition Classes
      Component

36. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

37. #### def ensuring(cond: (Menu) ⇒ Boolean, msg: ⇒ Any): Menu

    Implicit information
      This member is added by an implicit conversion from Menu to Ensuring[Menu] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

38. #### def ensuring(cond: (Menu) ⇒ Boolean): Menu

    Implicit information
      This member is added by an implicit conversion from Menu to Ensuring[Menu] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

39. #### def ensuring(cond: Boolean, msg: ⇒ Any): Menu

    Implicit information
      This member is added by an implicit conversion from Menu to Ensuring[Menu] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: Boolean): Menu

    Implicit information
      This member is added by an implicit conversion from Menu to Ensuring[Menu] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

42. #### def equals(that: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → Any

43. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

44. #### def focusPainted: Boolean

    Definition Classes
      AbstractButton

45. #### def focusPainted_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

46. #### def focusable: Boolean

    Definition Classes
      Component

47. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

48. #### def font: Font

    Definition Classes
      UIElement

49. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

50. #### def foreground: Color

    Definition Classes
      UIElement

51. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

52. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Menu to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

53. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

54. #### def hasFocus: Boolean

    Definition Classes
      Component

55. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → Any

56. #### def horizontalAlignment: Alignment.Value

    Definition Classes
      AbstractButton

57. #### def horizontalAlignment_=(a: Alignment.Value): Unit

    Definition Classes
      AbstractButton

58. #### def horizontalTextPosition: Alignment.Value

    Definition Classes
      AbstractButton

59. #### def horizontalTextPosition_=(a: Alignment.Value): Unit

    Definition Classes
      AbstractButton

60. #### def icon: Icon

    Definition Classes
      AbstractButton

61. #### def iconTextGap: Int

    Definition Classes
      AbstractButton

62. #### def iconTextGap_=(x: Int): Unit

    Definition Classes
      AbstractButton

63. #### def icon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

64. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

65. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

66. #### var initP: JComponent

    Definition Classes
      Component

67. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

68. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

69. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

70. #### object keys extends Publisher

    Definition Classes
      Component

71. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

72. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

73. #### def locale: Locale

    Definition Classes
      UIElement

74. #### def location: java.awt.Point

    Definition Classes
      UIElement

75. #### def locationOnScreen: java.awt.Point

    Definition Classes
      UIElement

76. #### def margin: Insets

    Definition Classes
      AbstractButton

77. #### def margin_=(i: Insets): Unit

    Definition Classes
      AbstractButton

78. #### def maximumSize: java.awt.Dimension

    Definition Classes
      UIElement

79. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

80. #### def minimumSize: java.awt.Dimension

    Definition Classes
      UIElement

81. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

82. #### def mnemonic: event.Key.Value

    Definition Classes
      AbstractButton

83. #### def mnemonic_=(k: event.Key.Value): Unit

    Definition Classes
      AbstractButton

84. #### object mouse

    Contains publishers for various mouse events.

85. #### def multiClickThreshold: Long

    Definition Classes
      AbstractButton

86. #### def multiClickThreshold_=(n: Long): Unit

    Definition Classes
      AbstractButton

87. #### def name: String

    Definition Classes
      Component

88. #### def name_=(s: String): Unit

    Definition Classes
      Component

89. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

90. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

91. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

92. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

93. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

94. #### def opaque: Boolean

    Definition Classes
      Component

95. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

96. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

97. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

98. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

99. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

100. #### lazy val peer: JMenu

     Definition Classes
       Menu → Wrapper → MenuItem → AbstractButton → Wrapper → Component → UIElement

101. #### def preferredSize: java.awt.Dimension

     Definition Classes
       UIElement

102. #### def preferredSize_=(x: Dimension): Unit

     Definition Classes
       UIElement

103. #### def pressedIcon: Icon

     Definition Classes
       AbstractButton

104. #### def pressedIcon_=(i: Icon): Unit

     Definition Classes
       AbstractButton

105. #### def publish(e: Event): Unit

     Notify all registered reactions.

     Notify all registered reactions.

     Definition Classes
       Publisher

106. #### val reactions: Reactions

     All reactions of this reactor.

     All reactions of this reactor.

     Definition Classes
       Reactor

107. #### def repaint(rect: Rectangle): Unit

     Definition Classes
       UIElement

108. #### def repaint(): Unit

     Definition Classes
       UIElement

109. #### def requestFocus(): Unit

     Definition Classes
       Component

110. #### def requestFocusInWindow(): Boolean

     Definition Classes
       Component

111. #### def revalidate(): Unit

     Definition Classes
       Component

112. #### def rolloverEnabled: Boolean

     Definition Classes
       AbstractButton

113. #### def rolloverEnabled_=(b: Boolean): Unit

     Definition Classes
       AbstractButton

114. #### def rolloverIcon: Icon

     Definition Classes
       AbstractButton

115. #### def rolloverIcon_=(b: Icon): Unit

     Definition Classes
       AbstractButton

116. #### def rolloverSelectedIcon: Icon

     Definition Classes
       AbstractButton

117. #### def rolloverSelectedIcon_=(b: Icon): Unit

     Definition Classes
       AbstractButton

118. #### def selected: Boolean

     Definition Classes
       AbstractButton

119. #### def selectedIcon: Icon

     Definition Classes
       AbstractButton

120. #### def selectedIcon_=(i: Icon): Unit

     Definition Classes
       AbstractButton

121. #### def selected_=(b: Boolean): Unit

     Definition Classes
       AbstractButton

122. #### def self: java.awt.Component

     Definition Classes
       UIElement → Proxy

123. #### def showing: Boolean

     Definition Classes
       UIElement

124. #### def size: java.awt.Dimension

     Definition Classes
       UIElement

125. #### def subscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

126. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

127. #### def text: String

     Definition Classes
       AbstractButton

128. #### def text_=(s: String): Unit

     Definition Classes
       AbstractButton

129. #### def toString(): String

     Returns a string representation of the object.

     Returns a string representation of the object.

     The default representation is platform dependent.

     returns

       a string representation of the object.

     Definition Classes
       Component → Proxy → AnyRef → Any

130. #### def toolkit: Toolkit

     Definition Classes
       UIElement

131. #### def tooltip: String

     Definition Classes
       Component

132. #### def tooltip_=(t: String): Unit

     Definition Classes
       Component

133. #### def unsubscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

134. #### def verticalAlignment: Alignment.Value

     Definition Classes
       AbstractButton

135. #### def verticalAlignment_=(a: Alignment.Value): Unit

     Definition Classes
       AbstractButton

136. #### def verticalTextPosition: Alignment.Value

     Definition Classes
       AbstractButton

137. #### def verticalTextPosition_=(a: Alignment.Value): Unit

     Definition Classes
       AbstractButton

138. #### def visible: Boolean

     Definition Classes
       UIElement

139. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

140. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

141. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

142. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

143. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

144. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

145. #### def yLayoutAlignment: Double

     Definition Classes
       Component

146. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

147. #### def →[B](y: B): (Menu, B)

     Implicit information
       This member is added by an implicit conversion from Menu to ArrowAssoc[Menu] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Menu to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (menu: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Menu to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (menu: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Menu

   Implicit information
     This member is added by an implicit conversion from Menu to ArrowAssoc[Menu] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (menu: ArrowAssoc[Menu]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Menu

   Implicit information
     This member is added by an implicit conversion from Menu to Ensuring[Menu] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (menu: Ensuring[Menu]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Wrapper

### Inherited from SequentialContainer

### Inherited from Container

### Inherited from MenuItem

### Inherited from AbstractButton

### Inherited from Wrapper

### Inherited from Trigger

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Menu to StringAdd

### Inherited by implicit conversion any2stringfmt from Menu to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Menu to ArrowAssoc[Menu]

### Inherited by implicit conversion any2Ensuring from Menu to Ensuring[Menu]

### Ungrouped